Trouble compiling PyQT 3.1

Jim jbublitzNO at SPAMnwinternet.com
Wed Aug 14 19:38:42 CEST 2002


P. Roosen wrote:
> Hello,
> 
> being intrigued by the GUI discussion (also as on google) I'd like to 
> start with PyQT 3.1
> 
> After ./configure-ing with
> 
> ./configure --with-sip-includes=/usr/include/sip 
> --with-sip-module=/usr/lib --with-qt-includes=/usr/lib/qt2/include 
> --with-qt-libraries=/usr/lib/qt2/lib
> 
> which runs cleanly and does not produce any noticable error, I am 
> confronted with
> 
> g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/local/include/python2.2 
> -I/usr/include/sip -I/usr/lib/qt2/include -I/usr/X11R6/include 
> -fno-exceptions -O2 -c qtcmodule.cpp  -fPIC -DPIC -o qtcmodule.lo
> In file included from sipqtQPixmap.h:42,
>                  from sipqtQBitmap.h:42,
>                  from sipqtQCursor.h:42,
>                  from sipqtQt.h:42,
>                  from qtcmodule.cpp:37:
> sipqtQPaintDevice.h:45: syntax error before `;'
> In file included from sipqtQPixmap.h:44,
>                  from sipqtQBitmap.h:42,
>                  from sipqtQCursor.h:42,
>                  from sipqtQt.h:42,
>                  from qtcmodule.cpp:37:
> sipqtQSize.h:45: syntax error before `;'
> ....
>  .
>  . (tons of this kind of stuff following...)
>  .
> ....
> qtcmodule.cpp:5761: `sipClassAttrTab_QPen' was not declared in this scope
> qtcmodule.cpp:5762: `sipClassAttrTab_Qt' was not declared in this scope
> qtcmodule.cpp:5763: excess elements in aggregate initializer
> qtcmodule.cpp:5768: initialization to `char *' from `int' lacks a cast
> qtcmodule.cpp:5768: initialization to `int' from `sipClassDef *' lacks a 
> cast
> qtcmodule.cpp: In function `struct PyObject * initModule(PyObject *, 
> PyObject *)':
> /usr/include/sip/sip.h:302: too many arguments to function `int 
> sipRegisterModule(sipModuleDef *)'
> qtcmodule.cpp:5795: at this point in file
> sipqtProxyqt.moc: In function `void 
> __static_initialization_and_destruction_0(int, int)':
> sipqtProxyqt.moc:29: no matching function for call to 
> `QMetaObjectInit::QMetaObjectInit (QMetaObject * (*)())'
> /usr/lib/qt2/include/qmetaobject.h:259: candidates are: 
> QMetaObjectInit::QMetaObjectInit(void (*)())
> /usr/lib/qt2/include/qmetaobject.h:261: 
> QMetaObjectInit::QMetaObjectInit(const QMetaObjectInit &)
> make[2]: *** [qtcmodule.lo] Error 1
> make[2]: Leaving directory 
> `/daten/Downloads/Programmieren/Python/PyQt-3.1/qt'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/daten/Downloads/Programmieren/Python/PyQt-3.1'
> make: *** [all] Error 2

> I don't understand what is going on, as I (guess I) obtained everything 
> that should be necessary for the PyQT3.1-2.3.1 version of the GUI 
> wrapper to build.

> Any pointers?

Hard to say what's causing the compile problems -
what version of gcc are you using?

The easiest fix is to go to

    http://www.riverbankcomputing.co.uk

and download PyQt-3.3.2. This will still support
Qt 2.3.1, builds much faster than the older versions
and contains a lot of enhancements and bug fixes
over PyQt-3.1. Note that there is only a single
PyQt tarball for ALL Qt versions/platforms, as
opposed to the previous version specific tarballs.
You also need sip-3.3.2, available on the same site.

PyQt-3.3.2 is the currently supported version, and
you can get additional assistance for Linux or
Windows on the PyKDE mailing list at:

    http://mats.gmd.de/mailman/listinfo/pykde

Jim




More information about the Python-list mailing list